id: wordpress-optinmonster

info:
  name: Popup Builder & Popup Maker for WordPress – OptinMonster Email Marketing and Lead Generation Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/optinmonster/
  metadata:
    plugin_namespace: optinmonster
    wpscan: https://wpscan.com/plugin/optinmonster
  tags: tech,wordpress,wp-plugin,top-100,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/optinmonster/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/optinmonster.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 4b0a00483046022100ddc43216badba77481151f5a8e086ef8accc3af46959f33ff1eaa65ddd4054ac022100c43e988de1f87f06c8f8744e8219532e43687e6dcf372d5a23b850dddf083e9c:922c64590222798bb761d5b6d8e72950